Daemon Power

The NetBSD Packages Collection: chat/py-hangups

Brief description of the package:
Third-party instant messaging client for Google Hangouts

Please read the file "DESCR" for a longer description, or browse the package's history.

This package has a home page at https://github.com/tdryer/hangups.

Please note that this package has a mit license.

The package is located in the "chat/py-hangups" directory. The current source version of the package is "py37-hangups-0.4.12". For a summary on how to use the package collection, go to the top of the packages tree.

Problem reports, updates or suggestions for this package should be reported with send-pr.

The following security vulnerabilities are known for chat/py-hangups :

If you have a vulnerable package installed on any machine, you are advised to remove the package immediately, using the standard package tools. The pkg_admin audit command locates any installed package which has been mentioned in security advisories as being vulnerable.

This package requires the following package(s) to build: py37-MechanicalSoup>=0.6.0 py37-beautifulsoup4>=4.4 py37-lxml-[0-9]* py37-setuptools-[0-9]* py37-expat-[0-9]* python37>=3.7 libffi>=1.20 cwrappers>=20150314 libuuid>=2.18 libffi>=3.3nb1 readline>=2.2 readline>=6.0 python37>=3.7.0 python37>=3.7.9 libxml2>=2.9.2 xmlcatmgr>=2.0beta1 libxml2>=2.6.2 libxslt>=1.1.27 libgcrypt>=1.2.0 libgpg-error>=1.13 libgpg-error>=0.6 libgpg-error>=1.10nb1 libxml2>=2.6.27 libgcrypt>=1.6.0 libxml2>=2.9.10nb3 docbook-xml-[0-9]* docbook-xsl-[0-9]* docbook-xml>=4.2 perl>=5.0 libxslt>=1.1.8 libxslt>=1.1.34nb4 py37-soupsieve>=1.2 py37-requests>=2.0 py37-OpenSSL>=0.14 py37-cryptography>=2.8 py37-asn1crypto>=0.21.0 py37-cffi>=1.11.4 py37-cparser-[0-9]* py37-cparser>=2.10 py37-idna>=2.1 py37-six>=1.4.1 py37-six>=1.5.2 py37-certifi>=2017.4.17 py37-chardet>=3.0.2 py37-cryptography>=1.3.4 py37-idna>=2.5 py37-urllib3>=1.12.1 py37-Socks>=1.6.0 py37-certifi-[0-9]* py37-idna>=2.0.0 py37-six>=1.4 py37-test-runner-[0-9]* py37-setuptools_scm-[0-9]* py37-toml-[0-9]* py37-test-[0-9]* py37-attrs>=17.4.0 py37-iniconfig-[0-9]* py37-packaging-[0-9]* py37-pyparsing>=2.0.2 py37-six-[0-9]* py37-pluggy>=0.12 py37-importlib-metadata>=0.12 py37-zipp-[0-9]* py37-setuptools_scm>=1.15.0 py37-py>=1.8.2 py37-aiohttp>=3.3 py37-async-timeout>=3.0 py37-attrs>=17.3.0 py37-chardet>=2.0<4.0 py37-multidict>=4.5<7.0 py37-cython>=0.12.1 py37-yarl>=1.0<2.0 py37-idna>=2.0 py37-multidict>=4.0 py37-typing-extensions-[0-9]* py37-typing-extensions>=3.6.5 py37-appdirs>=1.4.0 py37-async-timeout>=2 py37-configargparse>=0.11.0 py37-protobuf>=3.1.0 py37-six>=1.9 protobuf>=3.0.0 protobuf>=3.12.0 py37-readlike>=0.1.2 py37-reparser>=1.4.3 py37-requests>=2.6.0 py37-urwid>=1.3.1 py37-curses-[0-9]* .

This package requires the following package(s) to run: py37-MechanicalSoup>=0.6.0 py37-beautifulsoup4>=4.4 py37-lxml-[0-9]* py37-setuptools-[0-9]* py37-expat-[0-9]* python37>=3.7 libffi>=1.20 libuuid>=2.18 libffi>=3.3nb1 python37>=3.7.0 python37>=3.7.9 libxml2>=2.9.2 xmlcatmgr>=2.0beta1 libxml2>=2.6.2 libxslt>=1.1.27 libgcrypt>=1.2.0 libgpg-error>=1.13 libgpg-error>=0.6 libgpg-error>=1.10nb1 libxml2>=2.6.27 libgcrypt>=1.6.0 libxml2>=2.9.10nb3 libxslt>=1.1.8 libxslt>=1.1.34nb4 py37-soupsieve>=1.2 py37-requests>=2.0 py37-OpenSSL>=0.14 py37-cryptography>=2.8 py37-asn1crypto>=0.21.0 py37-cffi>=1.11.4 py37-cparser-[0-9]* py37-cparser>=2.10 py37-idna>=2.1 py37-six>=1.4.1 py37-six>=1.5.2 py37-certifi>=2017.4.17 py37-chardet>=3.0.2 py37-cryptography>=1.3.4 py37-idna>=2.5 py37-urllib3>=1.12.1 py37-Socks>=1.6.0 py37-certifi-[0-9]* py37-idna>=2.0.0 py37-six>=1.4 py37-aiohttp>=3.3 py37-async-timeout>=3.0 py37-attrs>=17.3.0 py37-chardet>=2.0<4.0 py37-multidict>=4.5<7.0 py37-cython>=0.12.1 py37-yarl>=1.0<2.0 py37-idna>=2.0 py37-multidict>=4.0 py37-typing-extensions-[0-9]* py37-typing-extensions>=3.6.5 py37-appdirs>=1.4.0 py37-async-timeout>=2 py37-configargparse>=0.11.0 py37-protobuf>=3.1.0 py37-six>=1.9 protobuf>=3.0.0 protobuf>=3.12.0 py37-readlike>=0.1.2 py37-reparser>=1.4.3 py37-requests>=2.6.0 py37-urwid>=1.3.1 py37-curses-[0-9]* .

This package supports the following build-time options:

(none)

Select one of the links below to download the package in precompiled binary form for installation with pkg_add(1). Available machine architectures and package versions:
aarch64:py36-hangups-0.4.11.tgz(NetBSD 9.0)
aarch64:py37-hangups-0.4.11.tgz(NetBSD 9.0)
aarch64:py38-hangups-0.4.11.tgz(NetBSD 9.0)
aarch64:py36-hangups-0.4.10.tgz(NetBSD 9.0)
aarch64:py37-hangups-0.4.10.tgz(NetBSD 9.0)
aarch64:py38-hangups-0.4.10.tgz(NetBSD 9.0)
alpha:py37-hangups-0.4.11.tgz(NetBSD 9.0)
earmv6hf:py36-hangups-0.4.11.tgz(NetBSD 9.0)
earmv6hf:py37-hangups-0.4.11.tgz(NetBSD 9.0)
earmv6hf:py38-hangups-0.4.11.tgz(NetBSD 9.0)
earmv6hf:py37-hangups-0.4.10.tgz(NetBSD 9.0)
earmv7hf:py36-hangups-0.4.10.tgz(NetBSD 8.0)
earmv7hf:py37-hangups-0.4.10.tgz(NetBSD 8.0)
earmv7hf:py38-hangups-0.4.10.tgz(NetBSD 8.0)
earmv7hf:py36-hangups-0.4.10.tgz(NetBSD 8.0)
earmv7hf:py37-hangups-0.4.10.tgz(NetBSD 8.0)
earmv7hf:py38-hangups-0.4.10.tgz(NetBSD 8.0)
earmv7hf:py37-hangups-0.4.11.tgz(NetBSD 8.0)
earmv7hf:py36-hangups-0.4.10.tgz(NetBSD 9.0)
earmv7hf:py37-hangups-0.4.10.tgz(NetBSD 9.0)
earmv7hf:py38-hangups-0.4.10.tgz(NetBSD 9.0)
earmv7hf:py36-hangups-0.4.10.tgz(NetBSD 9.0)
earmv7hf:py37-hangups-0.4.10.tgz(NetBSD 9.0)
earmv7hf:py38-hangups-0.4.10.tgz(NetBSD 9.0)
earmv7hf:py36-hangups-0.4.11.tgz(NetBSD 9.0)
earmv7hf:py37-hangups-0.4.11.tgz(NetBSD 9.0)
earmv7hf:py38-hangups-0.4.11.tgz(NetBSD 9.0)
i386:py36-hangups-0.4.11.tgz(NetBSD 8.0)
i386:py37-hangups-0.4.11.tgz(NetBSD 8.0)
i386:py38-hangups-0.4.11.tgz(NetBSD 8.0)
i386:py36-hangups-0.4.10.tgz(NetBSD 8.0)
i386:py37-hangups-0.4.10.tgz(NetBSD 8.0)
i386:py38-hangups-0.4.10.tgz(NetBSD 8.0)
i386:py36-hangups-0.4.11.tgz(NetBSD 9.0)
i386:py37-hangups-0.4.11.tgz(NetBSD 9.0)
i386:py38-hangups-0.4.11.tgz(NetBSD 9.0)
i386:py36-hangups-0.4.10.tgz(NetBSD 9.0)
i386:py37-hangups-0.4.10.tgz(NetBSD 9.0)
i386:py38-hangups-0.4.10.tgz(NetBSD 9.0)
powerpc:py36-hangups-0.4.11.tgz(NetBSD 9.0)
powerpc:py37-hangups-0.4.11.tgz(NetBSD 9.0)
powerpc:py38-hangups-0.4.11.tgz(NetBSD 9.0)
sparc64:py36-hangups-0.4.11.tgz(NetBSD 9.0)
sparc64:py37-hangups-0.4.11.tgz(NetBSD 9.0)
sparc64:py38-hangups-0.4.11.tgz(NetBSD 9.0)
x86_64:py36-hangups-0.4.10.tgz(NetBSD 9.0)
x86_64:py37-hangups-0.4.10.tgz(NetBSD 9.0)
x86_64:py36-hangups-0.4.10.tgz(NetBSD 9.0)
x86_64:py37-hangups-0.4.10.tgz(NetBSD 9.0)
x86_64:py38-hangups-0.4.10.tgz(NetBSD 9.0)
x86_64:py36-hangups-0.4.11.tgz(NetBSD 8.0)
x86_64:py37-hangups-0.4.11.tgz(NetBSD 8.0)
x86_64:py38-hangups-0.4.11.tgz(NetBSD 8.0)
x86_64:py36-hangups-0.4.10.tgz(NetBSD 8.0)
x86_64:py37-hangups-0.4.10.tgz(NetBSD 8.0)
x86_64:py38-hangups-0.4.10.tgz(NetBSD 8.0)
x86_64:py36-hangups-0.4.11.tgz(NetBSD 9.0)
x86_64:py37-hangups-0.4.11.tgz(NetBSD 9.0)
x86_64:py38-hangups-0.4.11.tgz(NetBSD 9.0)
x86_64:py36-hangups-0.4.10.tgz(NetBSD 9.0)
x86_64:py37-hangups-0.4.10.tgz(NetBSD 9.0)
x86_64:py38-hangups-0.4.10.tgz(NetBSD 9.0)
x86_64:py36-hangups-0.4.11.tgz(NetBSD 9.0)
x86_64:py37-hangups-0.4.11.tgz(NetBSD 9.0)
x86_64:py38-hangups-0.4.11.tgz(NetBSD 9.0)

The NetBSD packages collection is designed to permit easy installation from source - particularly useful if the latest binary package is not available for your chosen platform.


[ Go up one level | Go to top of packages tree | List all packages ]